com.io7m.smfj.bytebuffer

## Class SMFByteBufferCursors

- java.lang.Object
- - com.io7m.smfj.bytebuffer.SMFByteBufferCursors

-     public final class SMFByteBufferCursors
      extends Object

  Cursors for reading/writing byte buffers.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferFloat1Type>` | `createFloat1(SMFByteBufferPackingConfiguration config, SMFByteBufferPackedAttribute packed_attr, ByteBuffer buffer)` Create a floating point cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferFloat1Type>` | `createFloat1Raw(ByteBuffer buffer, int component_size, int offset, int vertex_size)` Create a floating point cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferFloat2Type>` | `createFloat2(SMFByteBufferPackingConfiguration config, SMFByteBufferPackedAttribute packed_attr, ByteBuffer buffer)` Create a floating point cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferFloat2Type>` | `createFloat2Raw(ByteBuffer buffer, int component_size, int offset, int vertex_size)` Create a floating point cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferFloat3Type>` | `createFloat3(SMFByteBufferPackingConfiguration config, SMFByteBufferPackedAttribute packed_attr, ByteBuffer buffer)` Create a floating point cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferFloat3Type>` | `createFloat3Raw(ByteBuffer buffer, int component_size, int offset, int vertex_size)` Create a floating point cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferFloat4Type>` | `createFloat4(SMFByteBufferPackingConfiguration config, SMFByteBufferPackedAttribute packed_attr, ByteBuffer buffer)` Create a floating point cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferFloat4Type>` | `createFloat4Raw(ByteBuffer buffer, int component_size, int offset, int vertex_size)` Create a floating point cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerSigned1Type>` | `createSigned1(SMFByteBufferPackingConfiguration config, SMFByteBufferPackedAttribute packed_attr, ByteBuffer buffer)` Create a signed integer cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerSigned1Type>` | `createSigned1Raw(ByteBuffer buffer, int component_size, int offset, int vertex_size)` Create a signed integer cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerSigned2Type>` | `createSigned2(SMFByteBufferPackingConfiguration config, SMFByteBufferPackedAttribute packed_attr, ByteBuffer buffer)` Create a signed integer cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerSigned2Type>` | `createSigned2Raw(ByteBuffer buffer, int component_size, int offset, int vertex_size)` Create a signed integer cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerSigned3Type>` | `createSigned3(SMFByteBufferPackingConfiguration config, SMFByteBufferPackedAttribute packed_attr, ByteBuffer buffer)` Create a signed integer cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerSigned3Type>` | `createSigned3Raw(ByteBuffer buffer, int component_size, int offset, int vertex_size)` Create a signed integer cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerSigned4Type>` | `createSigned4(SMFByteBufferPackingConfiguration config, SMFByteBufferPackedAttribute packed_attr, ByteBuffer buffer)` Create a signed integer cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerSigned4Type>` | `createSigned4Raw(ByteBuffer buffer, int component_size, int offset, int vertex_size)` Create a signed integer cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerUnsigned1Type>` | `createUnsigned1(SMFByteBufferPackingConfiguration config, SMFByteBufferPackedAttribute packed_attr, ByteBuffer buffer)` Create an unsigned integer cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerUnsigned1Type>` | `createUnsigned1Raw(ByteBuffer buffer, int component_size, int offset, int vertex_size)` Create an unsigned integer cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerUnsigned2Type>` | `createUnsigned2(SMFByteBufferPackingConfiguration config, SMFByteBufferPackedAttribute packed_attr, ByteBuffer buffer)` Create an unsigned integer cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerUnsigned2Type>` | `createUnsigned2Raw(ByteBuffer buffer, int component_size, int offset, int vertex_size)` Create an unsigned integer cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerUnsigned3Type>` | `createUnsigned3(SMFByteBufferPackingConfiguration config, SMFByteBufferPackedAttribute packed_attr, ByteBuffer buffer)` Create an unsigned integer cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerUnsigned3Type>` | `createUnsigned3Raw(ByteBuffer buffer, int component_size, int offset, int vertex_size)` Create an unsigned integer cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerUnsigned4Type>` | `createUnsigned4(SMFByteBufferPackingConfiguration config, SMFByteBufferPackedAttribute packed_attr, ByteBuffer buffer)` Create an unsigned integer cursor.
    `static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerUnsigned4Type>` | `createUnsigned4Raw(ByteBuffer buffer, int component_size, int offset, int vertex_size)` Create an unsigned integer cursor.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createFloat4

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferFloat4Type> createFloat4(SMFByteBufferPackingConfiguration config,
                                                                                                          SMFByteBufferPackedAttribute packed_attr,
                                                                                                          ByteBuffer buffer)

      Create a floating point cursor.
      Parameters:
        `config` - The byte buffer packing configuration
        `packed_attr` - An attribute from the packing configuration
        `buffer` - A byte buffer
      Returns:
        A new cursor

    - #### createFloat4Raw

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferFloat4Type> createFloat4Raw(ByteBuffer buffer,
                                                                                                             int component_size,
                                                                                                             int offset,
                                                                                                             int vertex_size)

      Create a floating point cursor.
      Parameters:
        `buffer` - The byte buffer
        `component_size` - The component size in bits
        `offset` - The offset of each element
        `vertex_size` - The size in octets of a single vertex
      Returns:
        A new cursor

    - #### createFloat3

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferFloat3Type> createFloat3(SMFByteBufferPackingConfiguration config,
                                                                                                          SMFByteBufferPackedAttribute packed_attr,
                                                                                                          ByteBuffer buffer)

      Create a floating point cursor.
      Parameters:
        `config` - The byte buffer packing configuration
        `packed_attr` - An attribute from the packing configuration
        `buffer` - A byte buffer
      Returns:
        A new cursor

    - #### createFloat3Raw

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferFloat3Type> createFloat3Raw(ByteBuffer buffer,
                                                                                                             int component_size,
                                                                                                             int offset,
                                                                                                             int vertex_size)

      Create a floating point cursor.
      Parameters:
        `buffer` - The byte buffer
        `component_size` - The component size in bits
        `offset` - The offset of each element
        `vertex_size` - The size in octets of a single vertex
      Returns:
        A new cursor

    - #### createFloat2

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferFloat2Type> createFloat2(SMFByteBufferPackingConfiguration config,
                                                                                                          SMFByteBufferPackedAttribute packed_attr,
                                                                                                          ByteBuffer buffer)

      Create a floating point cursor.
      Parameters:
        `config` - The byte buffer packing configuration
        `packed_attr` - An attribute from the packing configuration
        `buffer` - A byte buffer
      Returns:
        A new cursor

    - #### createFloat2Raw

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferFloat2Type> createFloat2Raw(ByteBuffer buffer,
                                                                                                             int component_size,
                                                                                                             int offset,
                                                                                                             int vertex_size)

      Create a floating point cursor.
      Parameters:
        `buffer` - The byte buffer
        `component_size` - The component size in bits
        `offset` - The offset of each element
        `vertex_size` - The size in octets of a single vertex
      Returns:
        A new cursor

    - #### createFloat1

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferFloat1Type> createFloat1(SMFByteBufferPackingConfiguration config,
                                                                                                          SMFByteBufferPackedAttribute packed_attr,
                                                                                                          ByteBuffer buffer)

      Create a floating point cursor.
      Parameters:
        `config` - The byte buffer packing configuration
        `packed_attr` - An attribute from the packing configuration
        `buffer` - A byte buffer
      Returns:
        A new cursor

    - #### createFloat1Raw

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferFloat1Type> createFloat1Raw(ByteBuffer buffer,
                                                                                                             int component_size,
                                                                                                             int offset,
                                                                                                             int vertex_size)

      Create a floating point cursor.
      Parameters:
        `buffer` - The byte buffer
        `component_size` - The component size in bits
        `offset` - The offset of each element
        `vertex_size` - The size in octets of a single vertex
      Returns:
        A new cursor

    - #### createSigned4

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerSigned4Type> createSigned4(SMFByteBufferPackingConfiguration config,
                                                                                                                   SMFByteBufferPackedAttribute packed_attr,
                                                                                                                   ByteBuffer buffer)

      Create a signed integer cursor.
      Parameters:
        `config` - The byte buffer packing configuration
        `packed_attr` - An attribute from the packing configuration
        `buffer` - A byte buffer
      Returns:
        A new cursor

    - #### createSigned4Raw

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerSigned4Type> createSigned4Raw(ByteBuffer buffer,
                                                                                                                      int component_size,
                                                                                                                      int offset,
                                                                                                                      int vertex_size)

      Create a signed integer cursor.
      Parameters:
        `buffer` - The byte buffer
        `component_size` - The component size in bits
        `offset` - The offset of each element
        `vertex_size` - The size in octets of a single vertex
      Returns:
        A new cursor

    - #### createSigned3

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerSigned3Type> createSigned3(SMFByteBufferPackingConfiguration config,
                                                                                                                   SMFByteBufferPackedAttribute packed_attr,
                                                                                                                   ByteBuffer buffer)

      Create a signed integer cursor.
      Parameters:
        `config` - The byte buffer packing configuration
        `packed_attr` - An attribute from the packing configuration
        `buffer` - A byte buffer
      Returns:
        A new cursor

    - #### createSigned3Raw

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerSigned3Type> createSigned3Raw(ByteBuffer buffer,
                                                                                                                      int component_size,
                                                                                                                      int offset,
                                                                                                                      int vertex_size)

      Create a signed integer cursor.
      Parameters:
        `buffer` - The byte buffer
        `component_size` - The component size in bits
        `offset` - The offset of each element
        `vertex_size` - The size in octets of a single vertex
      Returns:
        A new cursor

    - #### createSigned2

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerSigned2Type> createSigned2(SMFByteBufferPackingConfiguration config,
                                                                                                                   SMFByteBufferPackedAttribute packed_attr,
                                                                                                                   ByteBuffer buffer)

      Create a signed integer cursor.
      Parameters:
        `config` - The byte buffer packing configuration
        `packed_attr` - An attribute from the packing configuration
        `buffer` - A byte buffer
      Returns:
        A new cursor

    - #### createSigned2Raw

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerSigned2Type> createSigned2Raw(ByteBuffer buffer,
                                                                                                                      int component_size,
                                                                                                                      int offset,
                                                                                                                      int vertex_size)

      Create a signed integer cursor.
      Parameters:
        `buffer` - The byte buffer
        `component_size` - The component size in bits
        `offset` - The offset of each element
        `vertex_size` - The size in octets of a single vertex
      Returns:
        A new cursor

    - #### createSigned1

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerSigned1Type> createSigned1(SMFByteBufferPackingConfiguration config,
                                                                                                                   SMFByteBufferPackedAttribute packed_attr,
                                                                                                                   ByteBuffer buffer)

      Create a signed integer cursor.
      Parameters:
        `config` - The byte buffer packing configuration
        `packed_attr` - An attribute from the packing configuration
        `buffer` - A byte buffer
      Returns:
        A new cursor

    - #### createSigned1Raw

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerSigned1Type> createSigned1Raw(ByteBuffer buffer,
                                                                                                                      int component_size,
                                                                                                                      int offset,
                                                                                                                      int vertex_size)

      Create a signed integer cursor.
      Parameters:
        `buffer` - The byte buffer
        `component_size` - The component size in bits
        `offset` - The offset of each element
        `vertex_size` - The size in octets of a single vertex
      Returns:
        A new cursor

    - #### createUnsigned4

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerUnsigned4Type> createUnsigned4(SMFByteBufferPackingConfiguration config,
                                                                                                                       SMFByteBufferPackedAttribute packed_attr,
                                                                                                                       ByteBuffer buffer)

      Create an unsigned integer cursor.
      Parameters:
        `config` - The byte buffer packing configuration
        `packed_attr` - An attribute from the packing configuration
        `buffer` - A byte buffer
      Returns:
        A new cursor

    - #### createUnsigned4Raw

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerUnsigned4Type> createUnsigned4Raw(ByteBuffer buffer,
                                                                                                                          int component_size,
                                                                                                                          int offset,
                                                                                                                          int vertex_size)

      Create an unsigned integer cursor.
      Parameters:
        `buffer` - The byte buffer
        `component_size` - The component size in bits
        `offset` - The offset of each element
        `vertex_size` - The size in octets of a single vertex
      Returns:
        A new cursor

    - #### createUnsigned3

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerUnsigned3Type> createUnsigned3(SMFByteBufferPackingConfiguration config,
                                                                                                                       SMFByteBufferPackedAttribute packed_attr,
                                                                                                                       ByteBuffer buffer)

      Create an unsigned integer cursor.
      Parameters:
        `config` - The byte buffer packing configuration
        `packed_attr` - An attribute from the packing configuration
        `buffer` - A byte buffer
      Returns:
        A new cursor

    - #### createUnsigned3Raw

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerUnsigned3Type> createUnsigned3Raw(ByteBuffer buffer,
                                                                                                                          int component_size,
                                                                                                                          int offset,
                                                                                                                          int vertex_size)

      Create an unsigned integer cursor.
      Parameters:
        `buffer` - The byte buffer
        `component_size` - The component size in bits
        `offset` - The offset of each element
        `vertex_size` - The size in octets of a single vertex
      Returns:
        A new cursor

    - #### createUnsigned2

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerUnsigned2Type> createUnsigned2(SMFByteBufferPackingConfiguration config,
                                                                                                                       SMFByteBufferPackedAttribute packed_attr,
                                                                                                                       ByteBuffer buffer)

      Create an unsigned integer cursor.
      Parameters:
        `config` - The byte buffer packing configuration
        `packed_attr` - An attribute from the packing configuration
        `buffer` - A byte buffer
      Returns:
        A new cursor

    - #### createUnsigned2Raw

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerUnsigned2Type> createUnsigned2Raw(ByteBuffer buffer,
                                                                                                                          int component_size,
                                                                                                                          int offset,
                                                                                                                          int vertex_size)

      Create an unsigned integer cursor.
      Parameters:
        `buffer` - The byte buffer
        `component_size` - The component size in bits
        `offset` - The offset of each element
        `vertex_size` - The size in octets of a single vertex
      Returns:
        A new cursor

    - #### createUnsigned1

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerUnsigned1Type> createUnsigned1(SMFByteBufferPackingConfiguration config,
                                                                                                                       SMFByteBufferPackedAttribute packed_attr,
                                                                                                                       ByteBuffer buffer)

      Create an unsigned integer cursor.
      Parameters:
        `config` - The byte buffer packing configuration
        `packed_attr` - An attribute from the packing configuration
        `buffer` - A byte buffer
      Returns:
        A new cursor

    - #### createUnsigned1Raw

          public static com.io7m.jpra.runtime.java.JPRACursor1DType<SMFByteBufferIntegerUnsigned1Type> createUnsigned1Raw(ByteBuffer buffer,
                                                                                                                          int component_size,
                                                                                                                          int offset,
                                                                                                                          int vertex_size)

      Create an unsigned integer cursor.
      Parameters:
        `buffer` - The byte buffer
        `component_size` - The component size in bits
        `offset` - The offset of each element
        `vertex_size` - The size in octets of a single vertex
      Returns:
        A new cursor

Copyright © 2017 <code@io7m.com> http://io7m.com